#!/usr/bin/ruby

def cal offset
  `cal $(date -v#{offset}m "+%m %Y")`.to_a
end

`cal`.gsub(/^/,' ').sub(/ \b(#{Time.now.day})\b ?/,'(\1)').zip(cal('-1'), cal('+1')) {|cur, prv, nxt|
  printf '%-23s', prv.chomp
  printf '%-25s', cur.chomp
  puts nxt
}
